# Method: pages.update

- [HTTP request](https://developers.google.com/fact-check/tools/api/reference/rest/v1alpha1/pages/update#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/fact-check/tools/api/reference/rest/v1alpha1/pages/update#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/fact-check/tools/api/reference/rest/v1alpha1/pages/update#body.request_body)
- [Response body](https://developers.google.com/fact-check/tools/api/reference/rest/v1alpha1/pages/update#body.response_body)
- [Authorization scopes](https://developers.google.com/fact-check/tools/api/reference/rest/v1alpha1/pages/update#body.aspect)
- [Try it!](https://developers.google.com/fact-check/tools/api/reference/rest/v1alpha1/pages/update#try-it)

Update for all `ClaimReview` markup on a page

Note that this is a full update. To retain the existing `ClaimReview` markup on a page, first perform a Get operation, then modify the returned markup, and finally call Update with the entire `ClaimReview` markup as the body.

### HTTP request

`PUT https://factchecktools.googleapis.com/v1alpha1/{claimReviewMarkupPage.name=pages/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `claimReviewMarkupPage.name` | `string` The name of this `ClaimReview` markup page resource, in the form of `pages/{page_id}`. Except for update requests, this field is output-only and should not be set by the user. |

### Request body

The request body contains an instance of `https://developers.google.com/fact-check/tools/api/reference/rest/v1alpha1/pages#ClaimReviewMarkupPage`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/fact-check/tools/api/reference/rest/v1alpha1/pages#ClaimReviewMarkupPage`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/factchecktools`